dump {base} | R Documentation

## Text Representations of R Objects

### Description

This function takes a vector of names of R objects and produces text representations of the objects on a file or connection. A `dump` file can be `source`d into another R (or S) session.

### Usage

    dump(list, file="dumpdata.R", append=FALSE)

### Arguments

`list` | character. The names of one or more R objects to be dumped.
`file` | either a character string naming a file or a connection. `""` indicates output to the console.
`append` | if `TRUE`, output will be appended to `file`; otherwise, it will overwrite the contents of `file`.

### Details

At present the implementation of `dump` is very incomplete and it really only works for functions and simple vectors.

The function `save` is designed to be used for transporting R data between machines.

### See Also

`dput`, `dget`,`write`.

### Examples

    x <- 1; y <- 1:10
    dump(ls(patt='^[xyz]'), "xyz.Rdmped")
    unlink("xyz.Rdmped")

[Package Contents]